Bug 739629 - ant-contrib.jar not included in bundle deployer installation
Summary: ant-contrib.jar not included in bundle deployer installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Provisioning
Version: 3.0.0 Beta1
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: ---
: ---
Assignee: Heiko W. Rupp
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: rhq42
TreeView+ depends on / blocked
 
Reported: 2011-09-19 16:39 UTC by Douglas Woods
Modified: 2012-02-07 19:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 19:23:56 UTC


Attachments (Terms of Use)

Description Douglas Woods 2011-09-19 16:39:19 UTC
Description of problem:
ant-contrib.jar not included in bundle deployer installation lib directory

Version-Release number of selected component (if applicable):
v3.0.0.Beta1

How reproducible:
Install Bundle Deployer

Steps to Reproduce:
1.unzip rhq-bundle-deployer-4.1.1-BETA1.zip
2.find . -name ant-contrib*.jar
3.
  
Actual results:
NULL

Expected results:
ant-contrib.jar

Additional info:

Comment 1 Charles Crouch 2011-09-28 01:22:45 UTC
Is this a regression over JON2.4?

Comment 2 Douglas Woods 2011-09-28 11:19:25 UTC
Yes. v2.4.0 and v2.4.1 has the ant-contrib.jar under the Bundle Deployer lib directory.

Comment 4 Heiko W. Rupp 2011-10-12 15:19:29 UTC
Mvn debug output 

[DEBUG] The following artifacts were removed by this filter: 
ant-contrib:ant-contrib:jar:1.0b3
javax.persistence:persistence-api:jar:1.0
jboss.jboss-embeddable-ejb3:hibernate-all:jar:1.0.0.Alpha9
javax.xml.bind:jaxb-api:jar:2.1
log4j:log4j:jar:1.2.14
org.testng:testng:jar:6.1.1
org.jetbrains:annotations:jar:7.0.2
net.sourceforge.cobertura:cobertura:jar:1.9.4.1
[DEBUG] FileSet[] dir perms: -1 file perms: -1

Not sure why maven is removing ant-contrib

Comment 5 Heiko W. Rupp 2011-10-12 16:12:57 UTC
24d6419 in master

Comment 6 Sunil Kondkar 2011-10-13 10:17:42 UTC
Verified on build#523 (Version: 4.1.0-SNAPSHOT Build Number: 91b72c2)

Downloaded bundle deployer. After unzip, observed that the ant-contrib.jar is under the lib directory of the bundle deployer.

[root@suniltest rhq-bundle-deployer-4.1.0-SNAPSHOT]# find . -name ant-contrib*.jar
./lib/ant-contrib.jar

Comment 7 Mike Foley 2012-02-07 19:23:56 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.